From: "Sergei Trofimovich" <slyfox@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-libs/elfutils/
Date: Sun, 23 May 2021 17:51:54 +0000 (UTC) [thread overview]
Message-ID: <1621792312.14df2d73c0c0982c57ebff114ad80d13f2b37f33.slyfox@gentoo> (raw)
commit: 14df2d73c0c0982c57ebff114ad80d13f2b37f33
Author: Sergei Trofimovich <slyfox <AT> gentoo <DOT> org>
AuthorDate: Sun May 23 17:51:22 2021 +0000
Commit: Sergei Trofimovich <slyfox <AT> gentoo <DOT> org>
CommitDate: Sun May 23 17:51:52 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=14df2d73
dev-libs/elfutils: bump up to 0.185
Package-Manager: Portage-3.0.18, Repoman-3.0.3
Signed-off-by: Sergei Trofimovich <slyfox <AT> gentoo.org>
dev-libs/elfutils/Manifest | 1 +
dev-libs/elfutils/elfutils-0.185.ebuild | 86 +++++++++++++++++++++++++++++++++
2 files changed, 87 insertions(+)
diff --git a/dev-libs/elfutils/Manifest b/dev-libs/elfutils/Manifest
index 8b1770753ef..4cc4ba0d254 100644
--- a/dev-libs/elfutils/Manifest
+++ b/dev-libs/elfutils/Manifest
@@ -1,2 +1,3 @@
DIST elfutils-0.183.tar.bz2 9109254 BLAKE2B 8dd92e7c2df13d51bb51085f6cf762ea1ec7b803dcebf1202a4441ba152ed0e3332b1267276de4650d5ed5c5bed656f72f4c4e9bbf20700be45312a202351574 SHA512 bdafdd738a33cebe4f87849e5e6f1133881e77ef71b27faa0f0234ff80e9674f506957898326c2a55fd8438cbd189f7930597d0b4b9ca6c77921cc0cbd83b6b7
DIST elfutils-0.184.tar.bz2 9185468 BLAKE2B 8e45aa603a039fb128b96a1ffee4a0137fd1808d7087a2ddc8682a9bec1d65a56e6e6ad1419ac5e9f4490cc258c8ac0ee3e49775aab278efb1889bdceaf842bf SHA512 5920c354edd6b28bb7e713d674bf6f2221e8ee91b90d582de39b1f45446aea1e7e3d4b6671024c391675b5e7530fe952c1320d730bb625c02d4c647ceb938bc8
+DIST elfutils-0.185.tar.bz2 9187627 BLAKE2B 57cfa7e4060975c4bf6170dbd354687a19a92f7069c060db1ac2fa4da5a9d34e8bddd07c7ce376b5c28b5670ad5b8c1df795164cbcfb600a44cf1db60c20c4af SHA512 34de0de1355b11740e036e0fc64f2fc063587c8eb121b19216ee5548d3f0f268d8fc3995176c47190466b9d881007cfa11a9d01e9a50e38af6119492bf8bb47f
diff --git a/dev-libs/elfutils/elfutils-0.185.ebuild b/dev-libs/elfutils/elfutils-0.185.ebuild
new file mode 100644
index 00000000000..5860b8abf50
--- /dev/null
+++ b/dev-libs/elfutils/elfutils-0.185.ebuild
@@ -0,0 +1,86 @@
+# Copyright 2003-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit flag-o-matic multilib-minimal
+
+DESCRIPTION="Libraries/utilities to handle ELF objects (drop in replacement for libelf)"
+HOMEPAGE="http://elfutils.org/"
+SRC_URI="https://sourceware.org/elfutils/ftp/${PV}/${P}.tar.bz2"
+
+LICENSE="|| ( GPL-2+ LGPL-3+ ) utils? ( GPL-3+ )"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
+IUSE="bzip2 lzma nls static-libs test +threads +utils valgrind zstd"
+
+RDEPEND=">=sys-libs/zlib-1.2.8-r1[static-libs?,${MULTILIB_USEDEP}]
+ bzip2? ( >=app-arch/bzip2-1.0.6-r4[static-libs?,${MULTILIB_USEDEP}] )
+ lzma? ( >=app-arch/xz-utils-5.0.5-r1[static-libs?,${MULTILIB_USEDEP}] )
+ zstd? ( app-arch/zstd:=[static-libs?,${MULTILIB_USEDEP}] )
+ !dev-libs/libelf
+"
+DEPEND="${RDEPEND}
+ valgrind? ( dev-util/valgrind )
+"
+BDEPEND="nls? ( sys-devel/gettext )
+ >=sys-devel/flex-2.5.4a
+ sys-devel/m4
+"
+RESTRICT="!test? ( test )"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-0.175-disable-biarch-test-PR24158.patch
+ "${FILESDIR}"/${PN}-0.177-disable-large.patch
+ "${FILESDIR}"/${PN}-0.180-PaX-support.patch
+)
+
+src_prepare() {
+ default
+
+ if ! use static-libs; then
+ sed -i -e '/^lib_LIBRARIES/s:=.*:=:' -e '/^%.os/s:%.o$::' lib{asm,dw,elf}/Makefile.in || die
+ fi
+ # https://sourceware.org/PR23914
+ sed -i 's:-Werror::' */Makefile.in || die
+}
+
+src_configure() {
+ use test && append-flags -g #407135
+
+ # Symbol aliases are implemented as asm statements.
+ # Will require porting: https://gcc.gnu.org/PR48200
+ filter-flags '-flto*'
+
+ multilib-minimal_src_configure
+}
+
+multilib_src_configure() {
+ ECONF_SOURCE="${S}" econf \
+ $(use_enable nls) \
+ $(use_enable threads thread-safety) \
+ $(use_enable valgrind) \
+ --disable-debuginfod \
+ --disable-libdebuginfod \
+ --program-prefix="eu-" \
+ --with-zlib \
+ $(use_with bzip2 bzlib) \
+ $(use_with lzma) \
+ $(use_with zstd)
+}
+
+multilib_src_test() {
+ env LD_LIBRARY_PATH="${BUILD_DIR}/libelf:${BUILD_DIR}/libebl:${BUILD_DIR}/libdw:${BUILD_DIR}/libasm" \
+ LC_ALL="C" \
+ emake check VERBOSE=1
+}
+
+multilib_src_install_all() {
+ einstalldocs
+ dodoc NOTES
+ # These build quick, and are needed for most tests, so don't
+ # disable their building when the USE flag is disabled.
+ if ! use utils; then
+ rm -rf "${ED}"/usr/bin || die
+ fi
+}
next reply other threads:[~2021-05-23 17:51 UTC|newest]
Thread overview: 257+ messages / expand[flat|nested] mbox.gz Atom feed top
2021-05-23 17:51 Sergei Trofimovich [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-10-31 3:28 [gentoo-commits] repo/gentoo:master commit in: dev-libs/elfutils/ Sam James
2024-10-29 1:15 Sam James
2024-10-29 1:15 Sam James
2024-10-29 1:15 Sam James
2024-10-29 1:15 Sam James
2024-10-29 1:15 Sam James
2024-10-29 1:15 Sam James
2024-10-29 1:15 Sam James
2024-10-29 1:15 Sam James
2024-10-29 1:10 Sam James
2024-10-29 1:10 Sam James
2024-08-31 1:38 Sam James
2024-08-31 1:38 Sam James
2024-08-31 1:38 Sam James
2024-08-31 1:08 Sam James
2024-07-30 18:00 Arthur Zamarin
2024-07-30 18:00 Arthur Zamarin
2024-07-30 18:00 Arthur Zamarin
2024-07-30 18:00 Arthur Zamarin
2024-07-30 18:00 Arthur Zamarin
2024-07-29 23:59 Jakov Smolić
2024-03-01 22:26 Sam James
2024-03-01 22:26 Sam James
2023-12-25 17:26 Sam James
2023-12-18 9:01 Arthur Zamarin
2023-12-16 19:16 Arthur Zamarin
2023-12-16 19:16 Arthur Zamarin
2023-12-16 11:47 Arthur Zamarin
2023-12-16 11:29 Arthur Zamarin
2023-11-25 5:18 Sam James
2023-11-25 5:16 Sam James
2023-11-25 5:16 Sam James
2023-11-25 5:16 Sam James
2023-11-25 5:16 Sam James
2023-11-03 18:19 Sam James
2023-09-27 10:38 Joonas Niilola
2023-09-27 10:11 Joonas Niilola
2023-09-27 6:05 Sam James
2023-09-27 6:00 Sam James
2023-09-20 20:58 Andreas K. Hüttel
2023-08-30 14:26 Joonas Niilola
2023-07-20 0:08 Sam James
2023-07-19 22:56 Sam James
2023-07-19 21:48 Arsen Arsenović
2023-07-18 16:32 Sam James
2023-06-25 8:14 Arthur Zamarin
2023-06-25 8:14 Arthur Zamarin
2023-06-25 7:23 Sam James
2023-06-25 7:06 Sam James
2023-06-25 7:06 Sam James
2023-06-24 2:59 Sam James
2023-03-03 18:24 Arsen Arsenović
2023-01-21 3:32 Sam James
2022-12-17 19:28 Arthur Zamarin
2022-12-17 19:28 Arthur Zamarin
2022-12-16 21:08 Arthur Zamarin
2022-12-16 21:08 Arthur Zamarin
2022-12-16 15:54 Arthur Zamarin
2022-11-04 8:55 Agostino Sarubbo
2022-11-03 18:43 Arthur Zamarin
2022-11-03 18:43 Arthur Zamarin
2022-11-03 18:43 Arthur Zamarin
2022-11-03 6:46 Sam James
2022-11-03 6:46 Sam James
2022-09-10 15:18 Sam James
2022-09-10 11:18 Sam James
2022-07-07 19:46 Arthur Zamarin
2022-06-24 7:11 Agostino Sarubbo
2022-06-24 7:10 Agostino Sarubbo
2022-06-24 7:08 Agostino Sarubbo
2022-06-24 7:07 Agostino Sarubbo
2022-06-23 19:55 Arthur Zamarin
2022-06-23 19:31 Arthur Zamarin
2022-06-23 18:42 Sam James
2022-04-27 20:51 Sam James
2022-04-27 1:35 Sam James
2022-04-27 1:18 Sam James
2022-04-09 2:51 Sam James
2022-01-03 12:36 Sam James
2022-01-02 11:34 Jakov Smolić
2022-01-02 0:04 Sam James
2022-01-01 17:08 Arthur Zamarin
2022-01-01 5:34 Sam James
2022-01-01 5:34 Sam James
2022-01-01 5:34 Sam James
2022-01-01 5:34 Sam James
2021-11-10 23:44 Sam James
2021-11-10 23:44 Sam James
2021-07-17 11:22 Sergei Trofimovich
2021-07-13 20:05 Sam James
2021-07-11 20:51 Sam James
2021-07-11 15:30 Sergei Trofimovich
2021-07-11 9:00 Agostino Sarubbo
2021-07-11 8:58 Agostino Sarubbo
2021-07-10 17:28 Sam James
2021-07-10 15:40 Sam James
2021-06-19 9:01 Sergei Trofimovich
2021-06-13 10:46 Sergei Trofimovich
2021-06-12 16:32 Sam James
2021-06-12 16:32 Sam James
2021-06-12 15:43 Sam James
2021-06-12 15:43 Sam James
2021-06-12 13:46 Sam James
2021-06-12 13:46 Sam James
2021-05-11 7:43 Sergei Trofimovich
2021-04-24 12:37 Sergei Trofimovich
2021-04-02 9:54 Sergei Trofimovich
2021-04-01 17:55 Sergei Trofimovich
2021-03-26 20:42 Agostino Sarubbo
2021-03-26 11:50 Agostino Sarubbo
2021-03-15 18:06 Sergei Trofimovich
2021-03-15 2:26 Sam James
2021-03-15 1:40 Thomas Deutschmann
2021-03-15 0:52 Sam James
2021-03-14 22:11 Sam James
2021-03-14 22:11 Sam James
2020-12-16 19:59 Sam James
2020-12-12 21:25 Sergei Trofimovich
2020-12-11 23:10 Sergei Trofimovich
2020-12-11 23:07 Sergei Trofimovich
2020-12-09 22:38 Sergei Trofimovich
2020-12-06 23:25 Sam James
2020-12-06 23:25 Sam James
2020-12-06 17:05 Thomas Deutschmann
2020-11-02 10:21 Sergei Trofimovich
2020-10-25 10:12 Sergei Trofimovich
2020-10-24 17:53 Sergei Trofimovich
2020-10-13 10:01 Agostino Sarubbo
2020-10-12 11:49 Agostino Sarubbo
2020-10-12 11:47 Agostino Sarubbo
2020-10-12 7:00 Agostino Sarubbo
2020-10-12 7:00 Agostino Sarubbo
2020-10-11 15:19 Sam James
2020-10-11 15:19 Sam James
2020-09-09 7:18 Sergei Trofimovich
2020-09-06 8:34 Sergei Trofimovich
2020-09-04 12:05 Sergei Trofimovich
2020-07-25 9:18 Sergei Trofimovich
2020-07-22 20:03 Sergei Trofimovich
2020-07-18 20:05 Sam James
2020-07-17 15:17 Agostino Sarubbo
2020-07-17 15:13 Agostino Sarubbo
2020-07-17 15:12 Agostino Sarubbo
2020-07-17 15:09 Agostino Sarubbo
2020-07-17 15:05 Agostino Sarubbo
2020-07-17 7:02 Agostino Sarubbo
2020-07-09 8:34 Agostino Sarubbo
2020-07-07 17:34 Sergei Trofimovich
2020-07-06 7:22 Sergei Trofimovich
2020-07-06 7:02 Sergei Trofimovich
2020-05-09 20:04 Sergei Trofimovich
2020-05-02 17:51 Sergei Trofimovich
2020-04-02 17:45 Sergei Trofimovich
2020-03-29 8:45 Sergei Trofimovich
2020-03-29 8:45 Sergei Trofimovich
2020-03-15 13:13 Mikle Kolyada
2019-12-29 20:03 Sergei Trofimovich
2019-12-28 15:44 Mikle Kolyada
2019-11-28 10:58 Agostino Sarubbo
2019-11-28 10:57 Agostino Sarubbo
2019-11-28 10:55 Agostino Sarubbo
2019-11-28 10:44 Agostino Sarubbo
2019-11-28 10:42 Agostino Sarubbo
2019-11-27 23:26 Sergei Trofimovich
2019-11-27 20:45 Aaron Bauman
2019-11-27 13:39 Mikle Kolyada
2019-11-27 8:28 Thomas Deutschmann
2019-11-27 8:26 Agostino Sarubbo
2019-11-10 22:29 Sergei Trofimovich
2019-09-12 21:44 James Le Cuirot
2019-08-27 7:31 Sergei Trofimovich
2019-07-28 10:36 Mikle Kolyada
2019-07-28 10:36 Mikle Kolyada
2019-07-28 10:36 Mikle Kolyada
2019-07-22 13:15 Aaron Bauman
2019-07-18 13:10 Agostino Sarubbo
2019-07-18 11:45 Agostino Sarubbo
2019-07-18 10:01 Agostino Sarubbo
2019-07-18 9:57 Agostino Sarubbo
2019-07-17 14:03 Agostino Sarubbo
2019-07-03 21:32 Sergei Trofimovich
2019-07-01 19:23 Thomas Deutschmann
2019-06-29 13:22 Agostino Sarubbo
2019-05-13 8:25 Sergei Trofimovich
2019-05-05 12:50 Mikle Kolyada
2019-05-02 21:06 Mikle Kolyada
2019-04-29 10:50 Jeroen Roovers
2019-04-29 8:19 Sergei Trofimovich
2019-04-28 20:24 Mikle Kolyada
2019-04-20 18:43 Mikle Kolyada
2019-04-17 1:37 Aaron Bauman
2019-04-11 19:15 Sergei Trofimovich
2019-04-10 17:04 Thomas Deutschmann
2019-04-10 5:23 Aaron Bauman
2019-04-09 8:21 Sergei Trofimovich
2019-04-09 6:59 Sergei Trofimovich
2019-04-08 18:27 Markus Meier
2019-04-06 15:25 Andreas K. Hüttel
2019-04-06 9:56 Sergei Trofimovich
2019-04-05 20:47 Agostino Sarubbo
2019-02-23 17:04 Sergei Trofimovich
2019-01-29 21:56 Sergei Trofimovich
2018-11-23 16:31 Sergei Trofimovich
2018-11-20 20:40 Sergei Trofimovich
2018-07-04 16:25 Manuel Rüger
2018-07-04 16:25 Manuel Rüger
2018-06-20 7:05 Sergei Trofimovich
2018-06-20 6:40 Sergei Trofimovich
2018-06-11 9:23 Manuel Rüger
2018-04-24 9:20 Anthony G. Basile
2018-03-11 10:41 Sergei Trofimovich
2018-03-03 22:16 Sergei Trofimovich
2018-01-20 18:04 Tobias Klausmann
2018-01-12 18:19 Mike Frysinger
2017-12-30 11:02 Sergei Trofimovich
2017-12-28 13:29 Sergei Trofimovich
2017-12-24 9:46 Mart Raudsepp
2017-12-18 18:59 Markus Meier
2017-12-12 23:00 Sergei Trofimovich
2017-12-04 18:15 Pacho Ramos
2017-10-04 10:49 Andreas Hüttel
2017-09-26 8:55 Sergei Trofimovich
2017-09-25 21:50 Sergei Trofimovich
2017-09-15 20:38 Sergei Trofimovich
2017-08-18 21:02 Thomas Deutschmann
2017-08-12 17:52 Sergei Trofimovich
2017-08-08 10:58 Sergei Trofimovich
2017-08-07 21:55 Sergei Trofimovich
2017-07-15 9:57 Tobias Klausmann
2017-06-19 20:06 Sergei Trofimovich
2017-06-01 4:33 Markus Meier
2017-05-28 21:14 Manuel Rüger
2017-05-22 15:53 Manuel Rüger
2016-12-28 17:35 Mike Frysinger
2016-12-28 17:35 Mike Frysinger
2016-12-28 17:35 Mike Frysinger
2016-11-15 7:28 Mike Frysinger
2016-11-15 7:28 Mike Frysinger
2016-11-10 5:04 Mike Frysinger
2016-07-03 19:21 Jeroen Roovers
2016-07-03 11:03 Jeroen Roovers
2016-06-12 20:05 Markus Meier
2016-06-10 13:53 Agostino Sarubbo
2016-04-03 2:16 Mike Frysinger
2016-01-14 18:43 Mike Frysinger
2016-01-14 12:47 Mike Frysinger
2016-01-11 18:58 Mike Frysinger
2016-01-08 19:59 Mike Frysinger
2015-11-15 23:27 Matt Turner
2015-11-10 18:47 Markus Meier
2015-11-08 19:35 Mikle Kolyada
2015-11-05 11:20 Agostino Sarubbo
2015-10-25 10:50 Mikle Kolyada
2015-10-24 7:44 Jeroen Roovers
2015-10-19 9:27 Agostino Sarubbo
2015-10-16 18:26 Mike Frysinger
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1621792312.14df2d73c0c0982c57ebff114ad80d13f2b37f33.slyfox@gentoo \
--to=slyfox@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox